User Tools

Site Tools


Sidebar

Me
Здравствуйте!

Меня зовут Михаил Усик!
Я системный администратор
и наполняю эту wiki,
решая разнообразные IT-задачки.

Я всегда готов помочь Вам
наладить IT-инфраструктуру
за скромное вознаграждение!

mike@autosys.tk
+7 (977) 887-96-23

linux_faq:kubernetes_get_supported_api_versions

Довольно часто при развертывании приложений в kubernetes возникают ситуации, когда версия apiVersion: v1beta1, указанная в деклации приложения не соответветствует версии apiVersion: v1, поддерживаемой кластером.
Узнать версии api, поддерживаеммые кластером kubernetes поможет простая команда:

for kind in `kubectl api-resources | tail +2 | awk '{ print $1 }'`; do kubectl explain $kind; done | grep -e "KIND:" -e "VERSION:"

Discussion

Enter your comment. Wiki syntax is allowed:
J O U R G
 
linux_faq/kubernetes_get_supported_api_versions.txt · Last modified: 2019/10/05 08:58 by admin